Subject: bug#69310: closed (Re: [bug#69310] [PATCH gnome-team] services: gdm: Enable wayland by default.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 24 Feb 2024 06:33:02 +0000

Your bug report

#69310: [PATCH gnome-team] services: gdm: Enable wayland by default.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69310: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69310
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#69310] [PATCH gnome-team] services: gdm: Enable wayland by default.
From: Liliana Marie Prikler <[email-masked]>
To: Vivien Kraus <[email-masked]>, [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 24 Feb 2024 07:31:02 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Donnerstag, dem 22.02.2024 um 18:07 +0100 schrieb Vivien Kraus:
> * gnu/services/xorg.scm (<gdm-configuration>): Change the default
> value for
> wayland? from '#f' to '#t'.
> 
> Change-Id: Ic966dfc462b1140894aa6c38c23e229d6252d340
> ---
> 
> Dear Guix,
> 
> I don’t think there’s an easy way to detect potential problems with
> wayland being the default.  Let’s just do it and wait for complaints.
Welp, I've pushed it, but we'll have to wait for the world rebuilds
before I can complain :)

Subject: [PATCH gnome-team] services: gdm: Enable wayland by default.
From: Vivien Kraus <[email-masked]>
To: [email-masked]
Date: Thu, 22 Feb 2024 18:07:59 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/services/xorg.scm (<gdm-configuration>): Change the default value for
wayland? from '#f' to '#t'.

Change-Id: Ic966dfc462b1140894aa6c38c23e229d6252d340
---

Dear Guix,

I don’t think there’s an easy way to detect potential problems with wayland
being the default.  Let’s just do it and wait for complaints.

Best regards,

Vivien

 gnu/services/xorg.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/services/xorg.scm b/gnu/services/xorg.scm
index 1ee15ea90c..66bd58c403 100644
--- a/gnu/services/xorg.scm
+++ b/gnu/services/xorg.scm
@@ -1046,7 +1046,7 @@ (define-record-type* <gdm-configuration>
              (default (xinitrc)))
   (xdmcp? gdm-configuration-xdmcp?
           (default #f))
-  (wayland? gdm-configuration-wayland? (default #f))
+  (wayland? gdm-configuration-wayland? (default #t))
   (wayland-session gdm-configuration-wayland-session
                    (default gdm-wayland-session-wrapper)))

base-commit: 622df12ef389c9e91f68ae10c54c043f34828c83
-- 
2.41.0